Show / Hide Table of Contents

# Enum LayoutStyle

Determines the LayoutStyle for a view, if Absolute, during LayoutSubviews, the value from the Frame will be used, if the value is Computed, then the Frame will be updated from the X, Y Pos objects and the Width and Height Dim objects.

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public enum LayoutStyle

### Fields

Name | Description
--- | ---
Absolute | The position and size of the view are based on the Frame value.
Computed | The position and size of the view will be computed based on the X, Y, Width and Height properties and set on the Frame.